__gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >(3)

NAME
__gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash > -

SYNOPSIS

Inherits __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, Store_Hash >.

Inherited by __gnu_pbds::detail::cc_ht_map< Key, Mapped, Hash_Fn, Eq_Fn, _Alloc, Store_Hash, Comb_Hash_Fn, Resize_Policy >, and __gnu_pbds::detail::gp_ht_map< Key, Mapped, Hash_Fn, Eq_Fn, _Alloc, Store_Hash, Comb_Probe_Fn, Probe_Fn, Resize_Policy >.

  Public Types
typedef std::pair< size_type, size_type > comp_hash
typedef __rebind_a::const_pointer key_const_pointer
typedef __rebind_a::const_reference key_const_reference
typedef __rebind_a::pointer key_pointer
typedef __rebind_a::reference key_reference
typedef __rebind_a::value_type key_type
typedef __nothrowcopy::indicator no_throw_indicator
typedef _Alloc::size_type size_type
typedef integral_constant< int, Store_Hash > store_extra

  Public Attributes
no_throw_indicator m_no_throw_copies_indicator
store_extra m_store_extra_indicator

Detailed Description

  template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>struct __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >
Traits for abstract types.

Definition at line 263 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.